"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.scrub = exports.Registry = exports.CreateScrubs = void 0;
var Logger_1 = __importDefault(require("./Logger"));
var Scrubs_1 = require("./Scrubs");
var index_1 = require("./Scrubbers/index");
function CreateScrubs(options) {
    var scrubs = new Scrubs_1.Scrubs(options);
    scrubs.register('array', index_1.ArrayScrubber);
    scrubs.register('object', index_1.ObjectScrubber);
    scrubs.register('string', index_1.KeyValueScrubber);
    scrubs.register('string', index_1.UrlScrubber);
    return scrubs;
}
exports.CreateScrubs = CreateScrubs;
exports.Registry = CreateScrubs();
exports.scrub = function (value) {
    var result = exports.Registry.scrub(value);
    Logger_1.default.debug('scrub', value, result);
    return result;
};
//# sourceMappingURL=Registry.js.map