"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyValueScrubber = void 0;
var Logger_1 = __importDefault(require("../Logger"));
var log = Logger_1.default.extend('key-value-scrubber');
function KeyValueScrubber(value, options) {
    var properties = options.properties.map(function (v) { return v.replace(/(-)/g, '\\-'); });
    var keys = properties.join('|');
    var pattern = "((" + keys + ")\\s*=)\\s*['\"]?([\\d\\s\\w~!@#$%^,-<>:;\\?\\+\\*\\?\\$\\.\\[\\]\\{\\}\\(\\)\\|\\/]+)['\"]?";
    var regex = new RegExp(pattern, 'gi');
    var transformed = value.replace(regex, "$1" + options.text);
    log.debug('transformed', value, transformed);
    return transformed;
}
exports.KeyValueScrubber = KeyValueScrubber;
//# sourceMappingURL=KeyValueScrubber.js.map