"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectScrubber = void 0;
var types_1 = require("@nofrills/types");
var Logger_1 = __importDefault(require("../Logger"));
var Key = 'object-scrubber';
var log = Logger_1.default.extend(Key);
function transform(property, options, scrubs) {
    log.debug('transform', property.property, property.type, property.value);
    if (property.type === 'string' && options.properties.some(function (p) { return p === property.property; })) {
        log.debug("replacing property", property.property, options.text);
        return (property.value = options.text);
    }
    log.debug("scrubbing property", property.property, property.type, property.value);
    return (property.value = scrubs.scrub(property.value, property.type));
}
function ObjectScrubber(value, options, scrubs) {
    var navigator = types_1.ObjectNavigator.from(value);
    Array.from(navigator).map(function (property) { return transform(property, options, scrubs); });
    var transformed = navigator.toObject();
    log.debug('transformed', value, transformed);
    return transformed;
}
exports.ObjectScrubber = ObjectScrubber;
//# sourceMappingURL=ObjectScrubber.js.map